# StacksNetwork | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- StacksNetwork

### Implemented by

- StacksMainnet
- StacksMocknet
- StacksRegtest
- StacksTestnet

## Index

### Properties

- accountEndpoint
- bnsLookupUrl
- broadcastEndpoint
- chainId
- contractAbiEndpoint
- coreApiUrl
- getAbiApiUrl
- getAccountApiUrl
- getBlockTimeInfoUrl
- getBroadcastApiUrl
- getInfoUrl
- getNameInfo
- getPoxInfoUrl
- getReadOnlyFunctionCallApiUrl
- getStackerInfoUrl
- getTransferFeeEstimateApiUrl
- readOnlyFunctionCallEndpoint
- transferFeeEstimateEndpoint
- version

### Methods

- isMainnet

## Properties

### accountEndpoint

accountEndpoint: string

- Defined in packages/network/src/index.ts:10

### bnsLookupUrl

bnsLookupUrl: string

- Defined in packages/network/src/index.ts:7

### broadcastEndpoint

broadcastEndpoint: string

- Defined in packages/network/src/index.ts:8

### chainId

chainId: ChainID

- Defined in packages/network/src/index.ts:5

### contractAbiEndpoint

contractAbiEndpoint: string

- Defined in packages/network/src/index.ts:11

### coreApiUrl

coreApiUrl: string

- Defined in packages/network/src/index.ts:6

### getAbiApiUrl

getAbiApiUrl: (address: string, contract: string) => string

- Defined in packages/network/src/index.ts:17

#### Type declaration

- - (address: string, contract: string): string

  - #### Parameters

    - ##### address: string

    - ##### contract: string

    #### Returns string

### getAccountApiUrl

getAccountApiUrl: (address: string) => string

- Defined in packages/network/src/index.ts:16

#### Type declaration

- - (address: string): string

  - #### Parameters

    - ##### address: string

    #### Returns string

### getBlockTimeInfoUrl

getBlockTimeInfoUrl: () => string

- Defined in packages/network/src/index.ts:24

#### Type declaration

- - (): string

  - #### Returns string

### getBroadcastApiUrl

getBroadcastApiUrl: () => string

- Defined in packages/network/src/index.ts:14

#### Type declaration

- - (): string

  - #### Returns string

### getInfoUrl

getInfoUrl: () => string

- Defined in packages/network/src/index.ts:23

#### Type declaration

- - (): string

  - #### Returns string

### getNameInfo

getNameInfo: (fullyQualifiedName: string) => any

- Defined in packages/network/src/index.ts:36

Get WHOIS-like information for a name, including the address that owns it, the block at which it expires, and the zone file anchored to it (if available).

This is intended for use in third-party wallets or in DApps that register names.

param

  the name to query. Can be on-chain of off-chain.

returns

  a promise that resolves to the WHOIS-like information

#### Type declaration

- - (fullyQualifiedName: string): any

  - #### Parameters

    - ##### fullyQualifiedName: string

    #### Returns any

### getPoxInfoUrl

getPoxInfoUrl: () => string

- Defined in packages/network/src/index.ts:25

#### Type declaration

- - (): string

  - #### Returns string

### getReadOnlyFunctionCallApiUrl

getReadOnlyFunctionCallApiUrl: (contractAddress: string, contractName: string, functionName: string) => string

- Defined in packages/network/src/index.ts:18

#### Type declaration

- - (contractAddress: string, contractName: string, functionName: string): string

  - #### Parameters

    - ##### contractAddress: string

    - ##### contractName: string

    - ##### functionName: string

    #### Returns string

### getStackerInfoUrl

getStackerInfoUrl: (contractAddress: string, contractName: string) => string

- Defined in packages/network/src/index.ts:26

#### Type declaration

- - (contractAddress: string, contractName: string): string

  - #### Parameters

    - ##### contractAddress: string

    - ##### contractName: string

    #### Returns string

### getTransferFeeEstimateApiUrl

getTransferFeeEstimateApiUrl: () => string

- Defined in packages/network/src/index.ts:15

#### Type declaration

- - (): string

  - #### Returns string

### readOnlyFunctionCallEndpoint

readOnlyFunctionCallEndpoint: string

- Defined in packages/network/src/index.ts:12

### transferFeeEstimateEndpoint

transferFeeEstimateEndpoint: string

- Defined in packages/network/src/index.ts:9

### version

version: TransactionVersion

- Defined in packages/network/src/index.ts:4

## Methods

### isMainnet

- isMainnet(): boolean

- - Defined in packages/network/src/index.ts:13

  #### Returns boolean

Generated using TypeDoc